Download it now!
Bug 55001 - PRINTING: Master Documents with automatic fields
Summary: PRINTING: Master Documents with automatic fields
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-17 09:05 UTC by Javier Silva
Modified: 2015-02-11 19:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Case (291.91 KB, application/gzip)
2013-03-05 10:02 UTC, Javier Silva
Details
Test Case (291.91 KB, application/x-gzip)
2013-03-05 10:05 UTC, Javier Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Silva 2012-09-17 09:05:27 UTC
Problem description: 

I have a Master Document composed by a few .odt documents. This ODT documents have fields which are fill with celds of a database. The problem is that when I try to print the Master document on a PDF file, a dialog ask me to select the fields I want, I select them but in the result PDF file, it doesn't change the variable with the value and the I see the text like:

"Hello I'm <name> and I'm <age> years old.

The problem is resolved if I export the odm file to a odt file and I make the same steps, but it is less handy.


Steps to reproduce:
1. ....Create a odm file with other odt which have fields of a database
2. ....Go to Print and answer you want to print with the references
3. ....Select the row of the database and Print to a PDF File

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux i686) AppleWebKit/535.1 (KHTML, like Gecko) Chrome/13.0.782.112 Safari/535.1
Comment 1 A (Andy) 2013-02-24 13:38:17 UTC
@Javier: Does this issue still also persist with the latest release of LibreOffice?

Can anybody else confirm this issue?
Comment 2 Javier Silva 2013-03-01 11:55:09 UTC
I have installed LibreOffice 4. I will try with this.
Comment 3 Javier Silva 2013-03-01 12:29:26 UTC
Problem still persists, and PDF result file hasn't got all the documents pages
Comment 4 Brenda Granados 2013-03-01 19:49:57 UTC
Hi. I am trying to follow your directions to reproduce this bug, but it's not working for me.

Here's what I did:

1. Create a subdocument.odt with some fields from a database (5 records).
2. Create a master document with no text .odm. Insert that subdocument file.
3. Click Print. Use a form letter.
4. Select fields, print to file.
5. Nothing prints! I have 5 pages, and nothing shows up, not even generic field names.

The only way I could get generic field names to show was to use Export as pdf from the odm file, but of course that only printed the one page.

Is there something I am missing?  I can get it to work as you said by converting .odm to .odt.

I tested this using 4.0.0.3 on Ubuntu Linux.
Comment 5 Javier Silva 2013-03-05 10:02:27 UTC
Created attachment 75946 [details]
Test Case

I add a test file that contains the odm file I try in LibreOffice 4.0.0.3 and LibreOffice 3.5.0rc3, the odt files parts of the odm, the database I catch the fields info, a few screenshots of the process and the result files. I still have the same problems. Only print the information when I export the master file to an odt file and I try to print as the same way as I did with the master document.
Comment 6 Javier Silva 2013-03-05 10:05:06 UTC
Created attachment 75947 [details]
Test Case

I'm sorry I put the file as a plain/text. :(

"Test Case

I add a test file that contains the odm file I try in LibreOffice 4.0.0.3 and LibreOffice 3.5.0rc3, the odt files parts of the odm, the database I catch the fields info, a few screenshots of the process and the result files. I still have the same problems. Only print the information when I export the master file to an odt file and I try to print as the same way as I did with the master document."
Comment 7 Brenda Granados 2013-03-05 17:44:41 UTC
Hi, I am sorry. I am having trouble triaging this bug. This is my first time using master documents, and subdocuments, and I haven't used database fields frequently. I did find that I can print a mailmerge from the .odm. Please follow these instructions and let me know if they work for you!

1. Create a master document.
2. Edit -> Exchange Database
3. Insert the two documents (players.odt and countries.odt), using Navigator (F5). You will see two fields appear at the top.
4. In Navigator, highlight Text. Move up or down to make it center between the two documents in the Navigator. Click Edit at top of navigator. Write:

"This is the main text of the master document.
Player Name: 
Player Country:"

5. Now drag the <NAME> field next to the Name:  ... and the <COUNTRY> field next to the Country:
6. Now print (to file)! You should get the results you're looking for. Please confirm, and I will mark this as works for me. I actually get a crash when trying to print to a printer, but I will file a new bug.

There's also a much simpler way, unless you have to use master documents for some reason or other... You can go to the main menu toolbar, then Insert -> Fields -> Other -> Database tab. Click your database. On the left menu, select Mail merge fields. Insert the ones you want. This does not require subdocuments or a master document, it is all in one document.

Thank you!

-------------------------------------------
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link: https://wiki.documentfoundation.org/QA/BugTriage  There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists
Comment 8 Brenda Granados 2013-03-18 15:59:29 UTC
@Javier Silva: After reviewing my comments, are you still having this issue? If so, have you updated to the latest stable release?
Comment 9 Brenda Granados 2013-03-23 11:38:33 UTC
I will put this bug in NEEDINFO status. If the problem is fixed for you, or you still have the issue, please comment here. Thank you.
Comment 10 Javier Silva 2013-04-26 12:03:34 UTC
Hi Brenda:

First to all, I apologized for being so late in answer you.

I test your suggest. I have the same result as you have. But I need database field must be in one of the odt files compound odm. There are many database fields situated along the text and it is difficult to create a text in master document each time I need a field from the database. 

If the database field is on one odt file, I have problems when I print odm document. Sometimes doesn't print anything or only text or index I generate in Master Document.

I would be pleased I somebody study this problem again

Best Regards
Comment 11 QA Administrators 2013-11-04 22:18:02 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 12 Brenda Granados 2013-11-05 04:17:22 UTC
Whoops. I am sorry. The user did comment back that this was still a bug, so I'll turn the status from NEEDINFO to UNCONFIRMED. Perhaps someone will be able to confirm this issue?
Comment 13 retired 2014-07-25 08:01:10 UTC
Javier, last tests were done with LO 4.0 from what I see. We've come a long way since then.

Is this bug still valid / reproducible with the latest LO release?
4.3RC3: http://www.libreoffice.org/download/pre-releases/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.
Comment 14 Alex Thurgood 2015-01-03 17:41:02 UTC Comment hidden (no-value)
Comment 15 QA Administrators 2015-02-11 19:54:34 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11